org.apache.kylin.jdbc.stub

## Interface RemoteClient

All Known Implementing Classes:
  KylinClient

    public interface RemoteClient

Remote query stub of kylin restful service

Author:
  xduo

### Method Summary

Methods
`void` `connect()` Connect to kylin restful service.
`KylinMetaImpl.MetaProject` `getMetadata(String project)`
`DataSet<Object[]>` `query(net.hydromatic.avatica.AvaticaStatement statement, String sql)` Run query

### Method Detail

#### connect

    void connect()
                 throws ConnectionException

Connect to kylin restful service. ConnectionException will be thrown if authentication failed.

Throws:
  `ConnectionException`

#### getMetadata

    KylinMetaImpl.MetaProject getMetadata(String project)
                                          throws ConnectionException

Parameters:
  `project` -
Returns:
Throws:
  `ConnectionException`

#### query

    DataSet<Object[]> query(net.hydromatic.avatica.AvaticaStatement statement,
                          String sql)
                            throws SQLException

Run query

Parameters:
  `statement` -
  `sql` -
Returns:
Throws:
  `SQLException`